Welcome to the new FlexRadio Community! Please review the new Community Rules and other important new Community information on the Message Board.
If you are having a problem, please check the Help Center for known solutions.
Need technical support from FlexRadio? It's as simple as Creating a HelpDesk ticket.

Using Maestro and SDR software on computer

New user.Using the 6300 and the Maestro works fine, The Maestro says ver 1.9.13.23 on the Maestro, and ver 1.9.13.89 on the radio. The problem is when I have the Maestro off and use Power SDR ver 1.97 on the computer. When SDR pgm loads it says I have to down grade the radio software to ver 1.9.7.85... ok, I do that and it works fine. If I close Power SDR, and turn on the Maestro, It says to select a ver (4 choices). Any one of them will work from the Maestro, but when I turn it off and go to the computer again, I have to change versions.

My Q.. what version should I have on each unit to be able to switch back and forth between Maestro control, and Power SDR computer control. It's getting to be a drag reinstalling software each time I turn on the computer, or the Maestro.

If it makes a difference, the 6300 is connected to the computer via a 5 port switch, and the Maestro is connected via Wi-Fi. 

Bill, K1SM

Answers

  • Ross - K9COX
    Ross - K9COX Member ✭✭
    edited June 2017
    Just make sure that you have the same version on the radio as you do on the Maestro. That can be which ever version you prefer and my preference for it to be the latest and greatest. Flex recommends that you use the newest.
  • Bill Hassan - K1SM
    edited December 2016
    Thanks, that's what  figured would be the thing to do... but, Turning on the Maestro gives me a choice to update the radio to: 1.9.13.23   1.7.32.15   1.10.8.9 beta    and 1.8.4.18.

    No matter what one I pick, the next time I turn on the SDR program on the computer it will downgrade it to 1.9.7.85. The SDR ppm does not give me a choice, unless I'm missing something someplace.
  • Brad Adams (N4PYI)
    Brad Adams (N4PYI) Member ✭✭
    edited January 2017
    It sounds like your version of Smart SDR is not the latest 1.9 version. My version is 1.9.13. and, you keep referring to it as "PowerSDR". The 6000 series uses Smart SDR. Maybe this will help.
  • Bill Hassan - K1SM
    edited December 2016
    Sorry. It is indeed Smart SDR ver 1.97.  I was calling it the wrong name. Just got it the other day.
  • Mike NN9DD
    Mike NN9DD Member ✭✭
    edited October 2019
    You should download then 1.10.x beta ver. When you do make sure that your up grading the radio and maestro both Mike
  • Jay Nation
    Jay Nation Member
    edited May 2019
    Be sure and click the correct shortcut for the current release or it will insist on a downgrade to the version that matches the shortcut.  

    Upgrading doesn't get rid of the old shortcuts.

    Might not be the problem.

    Just my guess that it is.image

      SDRgadgets

    #FlexRadio IRC chat

      73, Jay - NO5J

  • Bill Hassan - K1SM
    edited December 2016
    Thanks guys. All good now! The Maestro had ver 1.10x beta on it, but the radio did not. I had to download the 1.10x beta file  and install it on the 6300.    -- I thought the radio would check the download server for new files and download them automatically, then offer me the  choice to install them. I guess not.

Leave a Comment

Rich Text Editor. To edit a paragraph's style, hit tab to get to the paragraph menu. From there you will be able to pick one style. Nothing defaults to paragraph. An inline formatting menu will show up when you select text. Hit tab to get into that menu. Some elements, such as rich link embeds, images, loading indicators, and error messages may get inserted into the editor. You may navigate to these using the arrow keys inside of the editor and delete them with the delete or backspace key.